Advertisement
Guest User

Untitled

a guest
Jan 24th, 2017
103
0
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
text 0.35 KB | None | 0 0
  1. import Path
  2. import Part
  3. sel = Gui.Selection.getSelectionEx()[0]
  4. obj = sel.Object
  5.  
  6. shape1 = obj.Shape
  7.  
  8. area = Path.Area(FitArcs=True, Offset=1.0)
  9. area.setPlane(Part.makeCircle(10))
  10. area.add(shape1, op=0)
  11. Part.show(area.getShape())
  12.  
  13. i=0
  14. while True:
  15. shape = area.getShape(i)
  16. if shape.isNull():
  17. break
  18. Part.show(shape)
  19. i+=1
Advertisement
Add Comment
Please, Sign In to add comment
Advertisement